<?php
namespace Claromentis\Core\Http;

$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"] ?: array()) + array("_fad3a97fa7919b1999c977c" . "8bdad925a" => base64_decode("c3ltZm9u" . "eV9yZXF1" . "ZXN0"), "_8fec21706bd243b37ecf62b1caf" . "8fb8a" => base64_decode("Y2" . "xp"), "_db7b295629fa" . "a16027a2c2630" . "95eba70" => base64_decode("cGhwX3NhcGlf" . "bmFtZQ=="), "_8ec8f26c742278f90615f50d68" . "2eea79" => base64_decode("UE9" . "TVA" . "=="), "_eea266d" . "1da508f4" . "2deea49c" . "c3add68e" . "c" => base64_decode("UF" . "VU"), "_781e2532c1e56969c535c" . "1184064bae6" => base64_decode("b25Db3JlQm9v" . "dA=="), "_c91b0ff19f81a8873a4593a237194" . "72c" => base64_decode("cnRya" . "W0="), "_ab8b6a5b56b4cfd73230ed5ca" . "d4fb54c" => base64_decode("Y29yZS5i" . "b290ZWQ="), "_14feb7309982" . "7a30c31c0b996" . "c13f13c" => base64_decode("b25LZXJuZ" . "WxSZXF1ZX" . "N0"), "_2b2486424e6dfb906c925739c32" . "9be7c" => base64_decode("aGVhZG" . "Vy"), "_e06da3ffba2e84b8e6f94bd2d6" . "ca3c52" => base64_decode("Y3JlYXRlX2ludGV" . "ybmFsX2xpbms="), "_87daa84e" . "346f6420a" . "3f3426e05" . "d16a7b" => base64_decode("L" . "w" . "=" . "="), "_4d707fab93bebb00bbe69e8159" . "697c90" => base64_decode(""), "_e6d18c493f" . "aa20d5d45c0" . "751d2c02ce6" => base64_decode("TG9jYXRpb24" . "6IA=="), "_bd8510eb" . "f29b0f687" . "c25c90c74" . "0715d8" => base64_decode("aHR0cF9yZXNwb25zZV9jb2R" . "l"));
use Claromentis\Core\Application\Events\BootedEvent;
use Claromentis\Core\Event\EventSubscriberInterface;
use Symfony\Component\HttpKernel\Event\RequestEvent;
use Symfony\Component\HttpKernel\KernelEvents;





class CanonicalUrlRedirector implements EventSubscriberInterface
{
    protected $canonical_url;
    public function __construct($_504f0c1dde6057a1a55bea80963ef65c)
    {
        $this->canonical_url = $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_c91b0ff19f81a8873a4593a2" . "3719472c"]($_504f0c1dde6057a1a55bea80963ef65c, $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_87daa84e346f6420a3f3" . "426e05d16a7b"]);
    }
    
    
    
    
    public static function getSubscribedEvents()
    {
        return array(KernelEvents::REQUEST => array($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_14feb73099827a30c31c0b996c" . "13f13c"], 1536), $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_ab8b6a5b56b4cfd73230ed5c" . "ad4fb54c"] => $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_781e2532c1" . "e56969c535c" . "1184064bae6"]);
    }
    
    
    
    
    
    
    public function onKernelRequest(RequestEvent $event)
    {
        if ($this->canonical_url == $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_4d707fab93bebb00bbe69e8159" . "697c90"] || !$event->isMasterRequest()) {
            return;
        }
        $request = $event->getRequest();
        
        
        if ($request->getMethod() === $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_8ec8f26c742278f90615f5" . "0d682eea79"] || $request->getMethod() === $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_eea266d1da508f42deea4" . "9cc3add68ec"]) {
            return;
        }
        if (!$this->IsCanonicalUrl($request)) {
            $event->setResponse($this->BuildRedirectResponse($request));
        }
    }
    
    
    
    
    
    
    
    
    
    public function onCoreBoot(BootedEvent $event) : void
    {
        
        
        if ($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_db7b295629fa" . "a16027a2c2630" . "95eba70"]() === $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_8fec21706bd243b37ecf6" . "2b1caf8fb8a"]) {
            return;
        }
        $app = $event->getApplication();
        
        
        
        
        
        
        $_0ce802ba864a6ec25741334b8e5097bc = $app[$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_fad3a97fa7919b1999c9" . "77c8bdad925a"]];
        if ($_0ce802ba864a6ec25741334b8e5097bc && $this->SimpleCheckAndRedirect($_0ce802ba864a6ec25741334b8e5097bc)) {
            
            
            exit;
        }
    }
    protected function IsCanonicalUrl(\Symfony\Component\HttpFoundation\Request $request)
    {
        return $request->getSchemeAndHttpHost() == $this->canonical_url;
    }
    protected function BuildRedirectResponse(\Symfony\Component\HttpFoundation\Request $request)
    {
        $_c927258f5322288a992c77be40ae0b53 = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_e06da3ffba2e84b8e6f94bd2d6ca3" . "c52"]($request->getRequestUri());
        return new RedirectResponse($_c927258f5322288a992c77be40ae0b53, 301);
    }
    
    
    
    
    
    
    
    
    
    public function SimpleCheckAndRedirect(\Symfony\Component\HttpFoundation\Request $request)
    {
        if ($this->canonical_url != $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_4d707fab93" . "bebb00bbe69" . "e8159697c90"] && !$this->IsCanonicalUrl($request)) {
            $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_bd8510e" . "bf29b0f6" . "87c25c90" . "c740715d" . "8"](301);
            $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_2b2486424e6dfb906c9" . "25739c329be7c"]($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_e6d18c493faa20d5d45c0751" . "d2c02ce6"] . $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_e06da3ffba2e84b8e6" . "f94bd2d6ca3c52"]($request->getRequestUri()));
            return true;
        }
        return false;
    }
}